detect_midi_driver(3)

NAME
detect_midi_driver

SYNOPSIS
#include <allegro.h>

int detect_midi_driver(int driver_id);

DESCRIPTION
Detects whether the specified MIDI sound device is available. Returns the maximum number of voices that the driver can provide, or zero if the hardware is not present. There are two special-case return values that you should watch out for: if this function returns -1 it is a note-stealing driver (eg. DIGMID) that shares voices with the current digital sound driver, and if it returns 0xFFFF it is an external device like an MPU-401 where there is no way to determine how many voices are available. This function must be called _before_ install_sound().

SEE ALSO
install_sound(3), reserve_voices(3)